Subject: Re: bug#59423: Invalid 'location' field generated in dovecot configuration

From: Ludovic Courtès <[email-masked]>
Date: Tue, 06 Dec 2022 09:53:11 +0100

Hi,

Maxim Cournoyer <[email-masked]> skribis:

>> We’ll have to discuss the implications of a possible move to
>> ‘define-configuration’.  For example, ‘define-configuration’ cannot
>> report missing field values (for fields that lack a default value) at
>> macro-expansion time, contrary to plain ‘define-record-type*’.  Anyway,
>> future work!
>
> OK.  That's optimization work rather than an impediment to migrate
> though, right?  If so, I think the value for users of having errors on
> invalid field types outweighs run time efficiency :-).

I guess my point is “we’ll have to discuss”.  It has non-obvious
implications such as this one that have a visible impact on users.

Ludo’.